Index: pjproject/trunk/pjsip-apps/src/pjsystest/systest.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/pjsystest/systest.c	(revision 4727)
+++ pjproject/trunk/pjsip-apps/src/pjsystest/systest.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  *
@@ -15,5 +15,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include "systest.h"
@@ -57,10 +57,10 @@
 static gui_menu menu_getsets = { "View Settings", &systest_display_settings };
 
-static gui_menu menu_tests = { 
-    "Tests", NULL, 
-    10, 
+static gui_menu menu_tests = {
+    "Tests", NULL,
+    10,
     {
 	&menu_wizard,
-	&menu_audtest, 
+	&menu_audtest,
 	&menu_playtn,
 	&menu_playwv1,
@@ -69,12 +69,12 @@
 	&menu_calclat,
 	&menu_sndaec,
-	NULL, 
+	NULL,
 	&menu_exit
     }
 };
 
-static gui_menu menu_options = { 
-    "Options", NULL, 
-    2, 
+static gui_menu menu_options = {
+    "Options", NULL,
+    2,
     {
 	&menu_listdev,
@@ -83,6 +83,6 @@
 };
 
-static gui_menu root_menu = { 
-    "Root", NULL, 2, {&menu_tests, &menu_options} 
+static gui_menu root_menu = {
+    "Root", NULL, 2, {&menu_tests, &menu_options}
 };
 
@@ -134,5 +134,5 @@
     else
 	errmsg[0] = '\0';
-    
+
     strcpy(themsg, title);
     strncat(themsg, errmsg, sizeof(themsg)-1);
@@ -159,5 +159,5 @@
 
 /*****************************************************************************
- * test: play simple ringback tone and hear it 
+ * test: play simple ringback tone and hear it
  */
 static void systest_play_tone(void)
@@ -202,5 +202,5 @@
 
     pool = pjsua_pool_create("ringback", 512, 512);
-    samples_per_frame = systest.media_cfg.audio_frame_ptime * 
+    samples_per_frame = systest.media_cfg.audio_frame_ptime *
 			systest.media_cfg.clock_rate *
 			systest.media_cfg.channel_count / 1000;
@@ -208,9 +208,9 @@
     /* Ringback tone (call is ringing) */
     name = pj_str("ringback");
-    status = pjmedia_tonegen_create2(pool, &name, 
+    status = pjmedia_tonegen_create2(pool, &name,
 				     systest.media_cfg.clock_rate,
-				     systest.media_cfg.channel_count, 
+				     systest.media_cfg.channel_count,
 				     samples_per_frame,
-				     16, PJMEDIA_TONEGEN_LOOP, 
+				     16, PJMEDIA_TONEGEN_LOOP,
 				     &ringback_port);
     if (status != PJ_SUCCESS)
@@ -270,5 +270,5 @@
  * the file.
  */
-static pj_status_t create_player(unsigned path_cnt, const char *paths[], 
+static pj_status_t create_player(unsigned path_cnt, const char *paths[],
 				 pjsua_player_id *p_id)
 {
@@ -365,5 +365,5 @@
 
 /*****************************************************************************
- * test: record audio 
+ * test: record audio
  */
 static void systest_rec_audio(void)
@@ -388,5 +388,5 @@
 		     "from the microphone, and playback the "
 		     "audio to the speaker. Press OK to start recording, "
-		     "CANCEL to skip.", 
+		     "CANCEL to skip.",
 		     WITH_OKCANCEL);
     if (key != KEY_OK) {
@@ -433,5 +433,5 @@
 		     "The recorded audio is being played now to "
 		     "the speaker device, in a loop. Listen for "
-		     "any audio impairments. Press OK to stop.", 
+		     "any audio impairments. Press OK to stop.",
 		     WITH_OK);
 
@@ -526,9 +526,9 @@
     param.clock_rate = systest.media_cfg.snd_clock_rate;
     param.channel_count = systest.media_cfg.channel_count;
-    param.samples_per_frame = param.clock_rate * param.channel_count * 
+    param.samples_per_frame = param.clock_rate * param.channel_count *
 			      systest.media_cfg.audio_frame_ptime / 1000;
 
     /* Latency settings */
-    param.flags |= (PJMEDIA_AUD_DEV_CAP_INPUT_LATENCY | 
+    param.flags |= (PJMEDIA_AUD_DEV_CAP_INPUT_LATENCY |
 		    PJMEDIA_AUD_DEV_CAP_OUTPUT_LATENCY);
     param.input_latency_ms = systest.media_cfg.snd_rec_latency;
@@ -554,9 +554,9 @@
 
     if (result.rec.frame_cnt==0) {
-	problems[problem_count++] = 
+	problems[problem_count++] =
 	    "No audio frames were captured from the microphone. "
 	    "This means the audio device is not working properly.";
     } else {
-	pj_ansi_snprintf(textbuf+textbufpos, 
+	pj_ansi_snprintf(textbuf+textbufpos,
 			 sizeof(textbuf)-textbufpos,
 			 "Rec : interval (min/max/avg/dev)=\r\n"
@@ -571,5 +571,5 @@
 
 	if (result.rec.max_burst > GOOD_MAX_INTERVAL) {
-	    problems[problem_count++] = 
+	    problems[problem_count++] =
 		"Recording max burst is quite high";
 	}
@@ -577,9 +577,9 @@
 
     if (result.play.frame_cnt==0) {
-	problems[problem_count++] = 
+	problems[problem_count++] =
 	    "No audio frames were played to the speaker. "
 	    "This means the audio device is not working properly.";
     } else {
-	pj_ansi_snprintf(textbuf+textbufpos, 
+	pj_ansi_snprintf(textbuf+textbufpos,
 			 sizeof(textbuf)-textbufpos,
 			 "Play: interval (min/max/avg/dev)=\r\n"
@@ -594,5 +594,5 @@
 
 	if (result.play.max_burst > GOOD_MAX_INTERVAL) {
-	    problems[problem_count++] = 
+	    problems[problem_count++] =
 		"Playback max burst is quite high";
 	}
@@ -601,5 +601,5 @@
     if (result.rec_drift_per_sec) {
 	const char *which = result.rec_drift_per_sec>=0 ? "faster" : "slower";
-	unsigned drift = result.rec_drift_per_sec>=0 ? 
+	unsigned drift = result.rec_drift_per_sec>=0 ?
 			    result.rec_drift_per_sec :
 			    -result.rec_drift_per_sec;
@@ -614,5 +614,5 @@
 
     if (problem_count == 0) {
-	pj_ansi_snprintf(textbuf+textbufpos, 
+	pj_ansi_snprintf(textbuf+textbufpos,
 			 sizeof(textbuf)-textbufpos,
 			 "\r\nThe sound device seems to be okay!");
@@ -624,5 +624,5 @@
 
 	pj_ansi_snprintf(textbuf+textbufpos,
-			 sizeof(textbuf)-textbufpos, 
+			 sizeof(textbuf)-textbufpos,
 			 "There could be %d problem(s) with the "
 			 "sound device:\r\n",
@@ -632,5 +632,5 @@
 	for (i=0; i<problem_count; ++i) {
 	    pj_ansi_snprintf(textbuf+textbufpos,
-			     sizeof(textbuf)-textbufpos, 
+			     sizeof(textbuf)-textbufpos,
 			     " %d: %s\r\n", i+1, problems[i]);
 	    textbufpos = strlen(textbuf);
@@ -650,5 +650,5 @@
  */
 static int calculate_latency(pj_pool_t *pool, pjmedia_port *wav,
-			     unsigned *lat_sum, unsigned *lat_cnt, 
+			     unsigned *lat_sum, unsigned *lat_cnt,
 			     unsigned *lat_min, unsigned *lat_max)
 {
@@ -689,5 +689,5 @@
     }
 
-    /* Zero the first 500ms to remove loud click noises 
+    /* Zero the first 500ms to remove loud click noises
      * (keypad press, etc.)
      */
@@ -784,5 +784,5 @@
 	return;
     }
-    key = gui_msgbox(title, 
+    key = gui_msgbox(title,
 		     "For this test to work, we must be able to capture "
 		     "the audio played in the speaker (the echo), and only"
@@ -798,5 +798,5 @@
     PJ_LOG(3,(THIS_FILE, "Running %s", title));
 
-    status = create_player(PJ_ARRAY_SIZE(ref_wav_paths), ref_wav_paths, 
+    status = create_player(PJ_ARRAY_SIZE(ref_wav_paths), ref_wav_paths,
 			   &play_id);
     if (status != PJ_SUCCESS)
@@ -817,5 +817,5 @@
     status = pjsua_conf_connect(0, rec_slot);
     status = pjsua_conf_connect(play_slot, rec_slot);
-    
+
 
     /* We're running */
@@ -870,5 +870,5 @@
 	goto on_return;
 
-    status = calculate_latency(pool, wav_port, &lat_sum, &lat_cnt, 
+    status = calculate_latency(pool, wav_port, &lat_sum, &lat_cnt,
 			       &lat_min, &lat_max);
     if (status != PJ_SUCCESS)
@@ -913,5 +913,5 @@
 	    msglen = strlen(msg);
 	}
-	
+
 	key = gui_msgbox(title, msg, WITH_OK);
 
@@ -965,5 +965,5 @@
      * Create player and recorder
      */
-    status = create_player(PJ_ARRAY_SIZE(ref_wav_paths), ref_wav_paths, 
+    status = create_player(PJ_ARRAY_SIZE(ref_wav_paths), ref_wav_paths,
 			   &player_id);
     if (status != PJ_SUCCESS) {
@@ -1018,5 +1018,5 @@
     gui_msgbox(title, "We are now playing the captured audio from the mic. "
 		      "Check if echo (of the audio played back previously) is "
-		      "present in the audio. The recording is stored in " 
+		      "present in the audio. The recording is stored in "
 		      AEC_REC_PATH " for offline analysis. "
 		      "Press OK to stop.",
@@ -1074,5 +1074,5 @@
     enum gui_key key;
     const char *title = "Audio Device List";
-    
+
     ti = systest_alloc_test_item(title);
     if (!ti)
@@ -1083,5 +1083,5 @@
     dev_count = pjmedia_aud_dev_count();
     if (dev_count == 0) {
-	key = gui_msgbox(title, 
+	key = gui_msgbox(title,
 			 "No audio devices are found", WITH_OK);
 	ti->success = PJ_FALSE;
@@ -1107,5 +1107,5 @@
 	pj_ansi_snprintf(ti->reason+len, sizeof(ti->reason)-len,
 			 " %2d: %s [%s] (%d/%d)\r\n",
-		          i, info.driver, info.name, 
+		          i, info.driver, info.name,
 			  info.input_count, info.output_count);
 	len = strlen(ti->reason);
@@ -1114,4 +1114,5 @@
     ti->reason[len] = '\0';
     key = gui_msgbox(title, ti->reason, WITH_OK);
+    PJ_UNUSED_ARG(key);
 
     ti->success = PJ_TRUE;
@@ -1205,5 +1206,5 @@
     ti->reason[sizeof(ti->reason)-1] = '\0';
     key = gui_msgbox(title, textbuf, WITH_OK);
-
+    PJ_UNUSED_ARG(key); /* Warning about unused var */
 }
 
@@ -1243,5 +1244,5 @@
     systest.media_cfg.snd_rec_latency = OVERRIDE_AUDDEV_REC_LAT;
 #endif
-	
+
     status = pjsua_init(&systest.ua_cfg, &log_cfg, &systest.media_cfg);
     if (status != PJ_SUCCESS) {
Index: pjproject/trunk/pjsip/src/pjsip/sip_auth_client.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_auth_client.c	(revision 4727)
+++ pjproject/trunk/pjsip/src/pjsip/sip_auth_client.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -138,5 +138,5 @@
 /*
  * Create response digest based on the parameters and store the
- * digest ASCII in 'result'. 
+ * digest ASCII in 'result'.
  */
 PJ_DEF(void) pjsip_auth_create_digest( pj_str_t *result,
@@ -160,6 +160,6 @@
 
     if ((cred_info->data_type & PASSWD_MASK) == PJSIP_CRED_DATA_PLAIN_PASSWD) {
-	/*** 
-	 *** ha1 = MD5(username ":" realm ":" password) 
+	/***
+	 *** ha1 = MD5(username ":" realm ":" password)
 	 ***/
 	pj_md5_init(&pms);
@@ -183,5 +183,5 @@
 
     /***
-     *** ha2 = MD5(method ":" req_uri) 
+     *** ha2 = MD5(method ":" req_uri)
      ***/
     pj_md5_init(&pms);
@@ -196,5 +196,5 @@
     /***
      *** When qop is not used:
-     ***    response = MD5(ha1 ":" nonce ":" ha2) 
+     ***    response = MD5(ha1 ":" nonce ":" ha2)
      ***
      *** When qop=auth is used:
@@ -218,5 +218,5 @@
     /* This is the final response digest. */
     pj_md5_final(&pms, digest);
-    
+
     /* Convert digest to string and store in chal->response. */
     result->slen = PJSIP_MD5STRLEN;
@@ -259,5 +259,5 @@
 
 /*
- * Generate response digest. 
+ * Generate response digest.
  * Most of the parameters to generate the digest (i.e. username, realm, uri,
  * and nonce) are expected to be in the credential. Additional parameters (i.e.
@@ -308,16 +308,16 @@
 	if ((cred_info->data_type & EXT_MASK) == PJSIP_CRED_DATA_EXT_AKA) {
 	    /* Call application callback to create the response digest */
-	    return (*cred_info->ext.aka.cb)(pool, chal, cred_info, 
+	    return (*cred_info->ext.aka.cb)(pool, chal, cred_info,
 					    method, cred);
-	} 
+	}
 	else {
 	    /* Convert digest to string and store in chal->response. */
-	    pjsip_auth_create_digest( &cred->response, &cred->nonce, NULL, 
-				      NULL,  NULL, uri, &chal->realm, 
+	    pjsip_auth_create_digest( &cred->response, &cred->nonce, NULL,
+				      NULL,  NULL, uri, &chal->realm,
 				      cred_info, method);
 	}
 
     } else if (has_auth_qop(pool, &chal->qop)) {
-	/* Server requires quality of protection. 
+	/* Server requires quality of protection.
 	 * We respond with selecting "qop=auth" protection.
 	 */
@@ -335,10 +335,10 @@
 	if ((cred_info->data_type & EXT_MASK) == PJSIP_CRED_DATA_EXT_AKA) {
 	    /* Call application callback to create the response digest */
-	    return (*cred_info->ext.aka.cb)(pool, chal, cred_info, 
+	    return (*cred_info->ext.aka.cb)(pool, chal, cred_info,
 					    method, cred);
 	}
 	else {
-	    pjsip_auth_create_digest( &cred->response, &cred->nonce, 
-				      &cred->nc, cnonce, &pjsip_AUTH_STR, 
+	    pjsip_auth_create_digest( &cred->response, &cred->nonce,
+				      &cred->nc, cnonce, &pjsip_AUTH_STR,
 				      uri, &chal->realm, cred_info, method );
 	}
@@ -346,5 +346,5 @@
     } else {
 	/* Server requires quality protection that we don't support. */
-	PJ_LOG(4,(THIS_FILE, "Unsupported qop offer %.*s", 
+	PJ_LOG(4,(THIS_FILE, "Unsupported qop offer %.*s",
 		  chal->qop.slen, chal->qop.ptr));
 	return PJSIP_EINVALIDQOP;
@@ -358,5 +358,5 @@
  * Update authentication session with a challenge.
  */
-static void update_digest_session( pj_pool_t *ses_pool, 
+static void update_digest_session( pj_pool_t *ses_pool,
 				   pjsip_cached_auth *cached_auth,
 				   const pjsip_www_authenticate_hdr *hdr )
@@ -371,5 +371,5 @@
 	     * than the one in the cache, to reduce memory usage.
 	     */
-	    const pjsip_digest_challenge *d1 = 
+	    const pjsip_digest_challenge *d1 =
 			&cached_auth->last_chal->challenge.digest;
 	    const pjsip_digest_challenge *d2 = &hdr->challenge.digest;
@@ -407,5 +407,5 @@
 	*/
 	if (cached_auth->realm.slen == 0) {
-	    pj_strdup(ses_pool, &cached_auth->realm, 
+	    pj_strdup(ses_pool, &cached_auth->realm,
 		      &hdr->challenge.digest.realm);
 	}
@@ -413,6 +413,6 @@
     } else {
 	/* Update last_nonce and nonce-count */
-	if (!pj_strcmp(&hdr->challenge.digest.nonce, 
-		       &cached_auth->last_chal->challenge.digest.nonce)) 
+	if (!pj_strcmp(&hdr->challenge.digest.nonce,
+		       &cached_auth->last_chal->challenge.digest.nonce))
 	{
 	    /* Same nonce, increment nonce-count */
@@ -424,7 +424,7 @@
 	    /* Has the opaque changed? */
 	    if (pj_strcmp(&cached_auth->last_chal->challenge.digest.opaque,
-			  &hdr->challenge.digest.opaque)) 
+			  &hdr->challenge.digest.opaque))
 	    {
-		pj_strdup(ses_pool, 
+		pj_strdup(ses_pool,
 			  &cached_auth->last_chal->challenge.digest.opaque,
 			  &hdr->challenge.digest.opaque);
@@ -485,5 +485,5 @@
 PJ_DEF(pj_status_t) pjsip_auth_clt_init(  pjsip_auth_clt_sess *sess,
 					  pjsip_endpoint *endpt,
-					  pj_pool_t *pool, 
+					  pj_pool_t *pool,
 					  unsigned options)
 {
@@ -510,13 +510,13 @@
 
     pjsip_auth_clt_init(sess, (pjsip_endpoint*)rhs->endpt, pool, 0);
-    
+
     sess->cred_cnt = rhs->cred_cnt;
     sess->cred_info = (pjsip_cred_info*)
-    		      pj_pool_alloc(pool, 
+    		      pj_pool_alloc(pool,
 				    sess->cred_cnt*sizeof(pjsip_cred_info));
     for (i=0; i<rhs->cred_cnt; ++i) {
 	pj_strdup(pool, &sess->cred_info[i].realm, &rhs->cred_info[i].realm);
 	pj_strdup(pool, &sess->cred_info[i].scheme, &rhs->cred_info[i].scheme);
-	pj_strdup(pool, &sess->cred_info[i].username, 
+	pj_strdup(pool, &sess->cred_info[i].username,
 		  &rhs->cred_info[i].username);
 	sess->cred_info[i].data_type = rhs->cred_info[i].data_type;
@@ -553,5 +553,5 @@
 	    sess->cred_info[i].data_type = c[i].data_type;
 
-	    /* When data_type is PJSIP_CRED_DATA_EXT_AKA, 
+	    /* When data_type is PJSIP_CRED_DATA_EXT_AKA,
 	     * callback must be specified.
 	     */
@@ -569,9 +569,9 @@
 
 		/* Verify K len */
-		PJ_ASSERT_RETURN(c[i].ext.aka.k.slen <= PJSIP_AKA_KLEN, 
+		PJ_ASSERT_RETURN(c[i].ext.aka.k.slen <= PJSIP_AKA_KLEN,
 				 PJSIP_EAUTHINAKACRED);
 
 		/* Verify OP len */
-		PJ_ASSERT_RETURN(c[i].ext.aka.op.slen <= PJSIP_AKA_OPLEN, 
+		PJ_ASSERT_RETURN(c[i].ext.aka.op.slen <= PJSIP_AKA_OPLEN,
 				 PJSIP_EAUTHINAKACRED);
 
@@ -631,5 +631,5 @@
 
 
-/* 
+/*
  * Create Authorization/Proxy-Authorization response header based on the challege
  * in WWW-Authenticate/Proxy-Authenticate header.
@@ -786,5 +786,5 @@
     if (status != PJ_SUCCESS)
 	return status;
-    
+
     pjsip_msg_add_hdr( tdata->msg, (pjsip_hdr*)hauth);
 
@@ -832,4 +832,5 @@
     /* Get the method. */
     method = &tdata->msg->line.req.method;
+    PJ_UNUSED_ARG(method); /* Warning about unused var caused by #if below */
 
     auth = sess->cached_auth.next;
@@ -870,10 +871,10 @@
 #	    endif
 
-	} 
+	}
 #	if defined(PJSIP_AUTH_QOP_SUPPORT) && \
 	   defined(PJSIP_AUTH_AUTO_SEND_NEXT) && \
 	   (PJSIP_AUTH_QOP_SUPPORT && PJSIP_AUTH_AUTO_SEND_NEXT)
 	else if (auth->qop_value == PJSIP_AUTH_QOP_AUTH) {
-	    /* For qop="auth", we have to re-create the authorization header. 
+	    /* For qop="auth", we have to re-create the authorization header.
 	     */
 	    const pjsip_cred_info *cred;
@@ -881,5 +882,5 @@
 	    pj_status_t status;
 
-	    cred = auth_find_cred(sess, &auth->realm, 
+	    cred = auth_find_cred(sess, &auth->realm,
 				  &auth->last_chal->scheme);
 	    if (!cred) {
@@ -888,6 +889,6 @@
 	    }
 
-	    status = auth_respond( tdata->pool, auth->last_chal, 
-				   tdata->msg->line.req.uri, 
+	    status = auth_respond( tdata->pool, auth->last_chal,
+				   tdata->msg->line.req.uri,
 				   cred,
 				   &tdata->msg->line.req.method,
@@ -895,5 +896,5 @@
 	    if (status != PJ_SUCCESS)
 		return status;
-	    
+
 	    //pjsip_msg_add_hdr(tdata->msg, (pjsip_hdr*)hauth);
 	    pj_list_push_back(&added, hauth);
@@ -984,5 +985,5 @@
 	{
 	    sent_auth = (pjsip_authorization_hdr*) hdr;
-	    if (pj_stricmp(&hchal->challenge.common.realm, 
+	    if (pj_stricmp(&hchal->challenge.common.realm,
 			   &sent_auth->credential.common.realm )==0)
 	    {
@@ -1055,11 +1056,11 @@
 
     /* Find credential to be used for the challenge. */
-    cred = auth_find_cred( sess, &hchal->challenge.common.realm, 
+    cred = auth_find_cred( sess, &hchal->challenge.common.realm,
 			   &hchal->scheme);
     if (!cred) {
 	const pj_str_t *realm = &hchal->challenge.common.realm;
-	PJ_LOG(4,(THIS_FILE, 
+	PJ_LOG(4,(THIS_FILE,
 		  "Unable to set auth for %s: can not find credential for %.*s/%.*s",
-		  tdata->obj_name, 
+		  tdata->obj_name,
 		  realm->slen, realm->ptr,
 		  hchal->scheme.slen, hchal->scheme.ptr));
@@ -1068,6 +1069,6 @@
 
     /* Respond to authorization challenge. */
-    status = auth_respond( req_pool, hchal, uri, cred, 
-			   &tdata->msg->line.req.method, 
+    status = auth_respond( req_pool, hchal, uri, cred,
+			   &tdata->msg->line.req.method,
 			   sess->pool, cached_auth, h_auth);
     return status;
@@ -1148,5 +1149,5 @@
 	 * authorization session.
 	 */
-	status = process_auth( tdata->pool, hchal, tdata->msg->line.req.uri, 
+	status = process_auth( tdata->pool, hchal, tdata->msg->line.req.uri,
 			       tdata, sess, cached_auth, &hauth);
 	if (status != PJ_SUCCESS)
